SFML 3.1.0
Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions
Vulkan.hpp File Reference
`#include <SFML/Window/Export.hpp>`
`#include <vector>`
`#include <cstdint>`

Go to the source code of this file.

## Namespaces
namespace | sf
namespace | sf::Vulkan
| Vulkan helper functions.

## Typedefs
using | VkInstance = struct VkInstance_T*
using | VkSurfaceKHR = std::uint64_t
using | sf::VulkanFunctionPointer = void (*)()

## Functions
bool | sf::Vulkan::isAvailable (bool requireGraphics=true)
| Tell whether or not the system supports Vulkan.
VulkanFunctionPointer | sf::Vulkan::getFunction (const char *name)
| Get the address of a Vulkan function.
const std::vector< const char * > & | sf::Vulkan::getGraphicsRequiredInstanceExtensions ()
| Get Vulkan instance extensions required for graphics.

## Typedef Documentation

## ◆ VkInstance

using VkInstance = struct VkInstance_T*

Definition at line 35 of file Vulkan.hpp.

## ◆ VkSurfaceKHR

using VkSurfaceKHR = std::uint64_t

Definition at line 47 of file Vulkan.hpp.